-- --------------------------------------------------------------------------
--
-- Create tablespaces
--
--  project : SIH-Adagio :: Core Server
--  version : 4.1.22.2 for ${pom.env}
--      env : ${pom.env} - ${pom.profil}
--     date : ${pom.date.fr}
--
--  Copyright Ifremer 2009
-- 
-- 01/02/09 BL  Creation
-- 28/05/09 EB  Modification suite aux differents echanges
-- 09/06/09 BL  renommer SIH2_TRAV_DATA en SIH2_WRK_DATA 
--              et SIH2_EXP_DATA en SIH2_TEC_DATA
-- 18/04/11 BL  Renommage des tablespaces en SIH2_ADAGIO_xxx
-- 20/04/12 BL  Ajout des tablesspaces SIH2_ADAGIO_MES_xxx pour les mesures
--              Ajout des tablesspaces SIH2_ADAGIO_VMS_xxx pour les positions VMS
-- --------------------------------------------------------------------------
-- --------------------------------------------------------------------------
-- IMPORTANT NOTE : Execute the sql file with SYSTEM privilege
-- --------------------------------------------------------------------------

------------------------------------------------------
-- donnees brutes
------------------------------------------------------
-- tablespace SIH2_ADAGIO_DATA (200M initial ; 4Go/an)
create tablespace SIH2_ADAGIO_DATA
  datafile '/SIH2_ADAGIO_DATA_01.DAT' 
  SIZE 200M REUSE 
  LOGGING
;
-- [optionnel] Activer l'auto-extension du tablespace : 
-- ALTER DATABASE DATAFILE '/SIH2_ADAGIO_DATA_01.DAT' AUTOEXTEND ON;

-- tablespace SIH2_ADAGIO_INDEX (100M initial ; 2Go/an)
create tablespace SIH2_ADAGIO_INDEX
  datafile '/SIH2_ADAGIO_INDEX_01.DAT' 
  SIZE 100M REUSE 
  LOGGING
;
-- [optionnel] Activer l'auto-extension du tablespace : 
-- ALTER DATABASE DATAFILE '/SIH2_ADAGIO_INDEX_01.DAT' AUTOEXTEND ON;

------------------------------------------------------
-- Tables de référence 
-- et de transcodage hors navires
------------------------------------------------------
-- tablespace SIH2_ADAGIO_REF_DATA (100M initial ; 10Mo/an)
create tablespace SIH2_ADAGIO_REF_DATA
  datafile '/SIH2_ADAGIO_REF_DATA_01.DAT' 
  SIZE 200M REUSE 
  LOGGING
;
-- tablespace SIH2_ADAGIO_REF_INDEX (50M initial ; 50Mo/an)
create tablespace SIH2_ADAGIO_REF_INDEX
  datafile '/SIH2_ADAGIO_REF_INDEX_01.DAT' 
  SIZE 50M REUSE 
  LOGGING
;

-- --------------------------------------------------------------------------
-- Référentiels Navires
-- --------------------------------------------------------------------------
-- tablespace SIH2_ADAGIO_VES_DATA (50M initial ; 100Mo/an)
CREATE TABLESPACE SIH2_ADAGIO_VES_DATA
  DATAFILE '/SIH2_ADAGIO_VES_DATA_01.DBF' 
  SIZE 50M REUSE 
  LOGGING;
  
CREATE TABLESPACE SIH2_ADAGIO_VES_INDEX
  DATAFILE '/SIH2_ADAGIO_VES_INDEX_01.DBF' 
  SIZE 50M REUSE 
  LOGGING;

------------------------------------------------------
-- Données spatiales
------------------------------------------------------
-- tablespace SIH2_ADAGIO_SPA_DATA (100M initial ; 5G/an)
create tablespace SIH2_ADAGIO_SPA_DATA
  datafile '/SIH2_ADAGIO_SPA_DATA_01.DAT' 
  SIZE 100M REUSE 
  LOGGING
;
-- tablespace SIH2_ADAGIO_SPA_INDEX
create tablespace SIH2_ADAGIO_SPA_INDEX
  datafile '/SIH2_ADAGIO_SPA_INDEX_01.DAT' 
  SIZE 100M REUSE 
  LOGGING
;

------------------------------------------------------
-- Donnees tables techniques (optimisation Allegro)
------------------------------------------------------
-- tablespace SIH2_ADAGIO_TEC_DATA (100M initial ; 100M/an)
create tablespace SIH2_ADAGIO_TEC_DATA
  datafile '/SIH2_ADAGIO_TEC_DATA_01.DAT' 
  SIZE 100M REUSE 
  LOGGING
;
-- tablespace SIH2_ADAGIO_TEC_INDEX
create tablespace SIH2_ADAGIO_TEC_INDEX
  datafile '/SIH2_ADAGIO_TEC_INDEX_01.DAT' 
  SIZE 100M REUSE 
  LOGGING
;

------------------------------------------------------
-- Données non pris en compte par le modèle mais 
-- à conserver (données "bac a sable")
------------------------------------------------------
-- tablespace SIH2_ADAGIO_PLG_DATA (50M initial ; 100M/an)
create tablespace SIH2_ADAGIO_PLG_DATA
  datafile '/SIH2_ADAGIO_PLG_DATA_01.DAT' 
  SIZE 50M REUSE 
  LOGGING
;
-- tablespace SIH2_PLG_INDEX (50M initial ; 100M/an)
create tablespace SIH2_ADAGIO_PLG_INDEX
  datafile '/SIH2_ADAGIO_PLG_INDEX_01.DAT' 
  SIZE 50M REUSE 
  LOGGING
;

-- --------------------------------------------------------------------------
-- Données de travail, espace permettant de valider des objets (tables, vues, …)
-- --------------------------------------------------------------------------
-- tablespace SIH2_ADAGIO_WRK_DATA (100M initial ; 500M/an)
CREATE TABLESPACE SIH2_ADAGIO_WRK_DATA 
  DATAFILE '/SIH2_ADAGIO_WRK_DATA.DBF' 
  SIZE 100M REUSE
  NOLOGGING;
  
-- tablespace SIH2_ADAGIO_WRK_INDEX (100M initial ; 256M/an)
CREATE TABLESPACE SIH2_ADAGIO_WRK_INDEX
  DATAFILE '/SIH2_ADAGIO_WRK_INDEX.DBF' 
  SIZE 100M REUSE
  NOLOGGING;

-- --------------------------------------------------------------------------
-- Données de mesures (xxx_MEASUREMENT)
-- --------------------------------------------------------------------------
-- tablespace SIH2_ADAGIO_MES_DATA (xxM initial ; xxMo/an)
create tablespace SIH2_ADAGIO_MES_DATA
  datafile '/SIH2_ADAGIO_MES_DATA_01.DAT' 
  SIZE 200M REUSE 
  LOGGING
;
-- tablespace SIH2_ADAGIO_MES_INDEX (xxM initial ; xxMo/an)
create tablespace SIH2_ADAGIO_MES_INDEX
  datafile '/SIH2_ADAGIO_MES_INDEX_01.DAT' 
  SIZE 50M REUSE 
  LOGGING
;

-- --------------------------------------------------------------------------
-- Données de produits (PRODUCE)
-- --------------------------------------------------------------------------
-- tablespace SIH2_ADAGIO_MES_DATA (xxM initial ; xxMo/an)
create tablespace SIH2_ADAGIO_PRODUCE_DATA
  datafile '/SIH2_ADAGIO_PRODUCE_DATA_01.DAT' 
  SIZE 200M REUSE 
  LOGGING
;
-- tablespace SIH2_ADAGIO_MES_INDEX (xxM initial ; xxMo/an)
create tablespace SIH2_ADAGIO_PRODUCE_INDEX
  datafile '/SIH2_ADAGIO_PRODUCE_INDEX_01.DAT' 
  SIZE 50M REUSE 
  LOGGING
;

-- --------------------------------------------------------------------------
-- Données de positions VMS (VESSEL_POSITION_VMS)
-- --------------------------------------------------------------------------
-- tablespace SIH2_ADAGIO_VMS_DATA (xxM initial ; xxMo/an)
create tablespace SIH2_ADAGIO_VMS_DATA
  datafile '/SIH2_ADAGIO_VMS_DATA_01.DAT' 
  SIZE 200M REUSE 
  LOGGING
;
-- tablespace SIH2_ADAGIO_VMS_INDEX (xxM initial ; xxMo/an)
create tablespace SIH2_ADAGIO_VMS_INDEX
  datafile '/SIH2_ADAGIO_VMS_INDEX_01.DAT' 
  SIZE 50M REUSE 
  LOGGING
;
